index : builder | |
Archlinux32 build system | gitolite user |
summaryrefslogtreecommitdiff |
author | Erich Eckner <git@eckner.net> | 2017-08-03 10:44:14 +0200 |
---|---|---|
committer | Erich Eckner <git@eckner.net> | 2017-08-03 10:44:14 +0200 |
commit | 48197b7b95b4a9a2160379921b904bb7b4617e26 (patch) | |
tree | 38921a5f30309f4f4ddc2f24b79553030f821414 /bin | |
parent | 4ff3ae588805c768827ea174f74ce49cfccafcec (diff) |
-rwxr-xr-x | bin/cleanup | 2 | ||||
-rwxr-xr-x | bin/db-update | 2 | ||||
-rwxr-xr-x | bin/get-assignment | 2 | ||||
-rwxr-xr-x | bin/get-package-updates | 2 | ||||
-rwxr-xr-x | bin/return-assignment | 2 |
diff --git a/bin/cleanup b/bin/cleanup index f01ba98..93af0bc 100755 --- a/bin/cleanup +++ b/bin/cleanup @@ -11,7 +11,7 @@ if ! tty -s && \ exit fi -if ! "${base_dir}/bin/sanity-check" -r; then +if [ -s "${work_dir}/build-master-sanity" ]; then >&2 echo 'Build master is not sane.' exit 1 fi diff --git a/bin/db-update b/bin/db-update index 4f3cc38..cce65c8 100755 --- a/bin/db-update +++ b/bin/db-update @@ -376,7 +376,7 @@ packages_to_stabilize=$( ${@} ) -if ! "${base_dir}/bin/sanity-check" -r; then +if [ -s "${work_dir}/build-master-sanity" ]; then >&2 echo 'Build master is not sane.' exit 1 fi diff --git a/bin/get-assignment b/bin/get-assignment index 08c7be3..fd76a7f 100755 --- a/bin/get-assignment +++ b/bin/get-assignment @@ -49,7 +49,7 @@ hand_out_assignment() { } -if ! "${base_dir}/bin/sanity-check" -r; then +if [ -s "${work_dir}/build-master-sanity" ]; then >&2 echo 'Build master is not sane.' exit 1 fi diff --git a/bin/get-package-updates b/bin/get-package-updates index e91e471..d7d6b3b 100755 --- a/bin/get-package-updates +++ b/bin/get-package-updates @@ -72,7 +72,7 @@ if [ $# -ne 0 ]; then usage fi -if ! "${base_dir}/bin/sanity-check" -r; then +if [ -s "${work_dir}/build-master-sanity" ]; then >&2 echo 'Build master is not sane.' exit 1 fi diff --git a/bin/return-assignment b/bin/return-assignment index ab28c90..cd9656d 100755 --- a/bin/return-assignment +++ b/bin/return-assignment @@ -20,7 +20,7 @@ . "${0%/*}/../conf/default.conf" -if ! "${base_dir}/bin/sanity-check" -r; then +if [ -s "${work_dir}/build-master-sanity" ]; then >&2 echo 'Build master is not sane.' exit 1 fi |